searchNodes=[{"doc":"Ostara transforms Ecto schema modules into JSON Schema structures. Example Given the following schema module: defmodule Product do @moduledoc &quot;A product from Acme&#39;s catalog&quot; , use Ecto.Schema @primary_key false embedded_schema do field :product_name , :string field :price , :float end def changeset ( data , params ) do data |&gt; cast ( params , [ :product_name , :price ] ) |&gt; validate_required ( [ :product_name ] ) |&gt; validate_number ( :price , greater_than : 0 ) end end transmute/1 will produce the following map: %{ &quot;$schema&quot; =&gt; &quot;https://json-schema.org/draft/2020-12/schema&quot; , &quot;title&quot; =&gt; &quot;Product&quot; , &quot;type&quot; =&gt; &quot;object&quot; , &quot;description&quot; =&gt; &quot;A product from Acme&#39;s catalog&quot; , &quot;properties&quot; =&gt; %{ &quot;productName&quot; =&gt; %{ &quot;type&quot; =&gt; &quot;string&quot; } , &quot;price&quot; =&gt; %{ &quot;type&quot; =&gt; &quot;number&quot; , &quot;exclusiveMinimum&quot; =&gt; 0 } } , &quot;required&quot; =&gt; [ &quot;productName&quot; ] }","ref":"Ostara.html","title":"Ostara","type":"module"},{"doc":"Produces a JSON Schema based on the given source module. Options :format - If :json , returns the data as pretty-printed JSON","ref":"Ostara.html#transmute/2","title":"Ostara.transmute/2","type":"function"},{"doc":"Functions for transforming an Ecto.Schema module into a JSON Schema.","ref":"Ostara.JSONSchema.html","title":"Ostara.JSONSchema","type":"module"},{"doc":"","ref":"Ostara.JSONSchema.html#field_name/1","title":"Ostara.JSONSchema.field_name/1","type":"function"},{"doc":"Transforms the given source module into a valid JSON Schema map.","ref":"Ostara.JSONSchema.html#generate/2","title":"Ostara.JSONSchema.generate/2","type":"function"},{"doc":"Functions for converting Ecto.Schema fields to JSON Schema properties.","ref":"Ostara.Properties.html","title":"Ostara.Properties","type":"module"},{"doc":"Puts a &quot;properties&quot; key in the given map based on the fields defined in the source . source should be an Ecto.Schema module.","ref":"Ostara.Properties.html#put_properties/2","title":"Ostara.Properties.put_properties/2","type":"function"},{"doc":"Functions for converting Ecto.Changeset validators into JSON Schema type-specific validations.","ref":"Ostara.Validation.html","title":"Ostara.Validation","type":"module"},{"doc":"Annotates the &quot;properties&quot; in the given map based on the changeset/1 function defined in the module .","ref":"Ostara.Validation.html#put_validations/2","title":"Ostara.Validation.put_validations/2","type":"function"},{"doc":"","ref":"Ostara.Validation.html#t:ast/0","title":"Ostara.Validation.ast/0","type":"type"},{"doc":"Transforms Ecto schema modules into JSON Schema structures. Ostara (1901) by Johannes Gehrts Note: Ostara is under active development and does not yet support all features of Ecto or the full JSON Schema specification. Contributions are welcome!","ref":"readme.html","title":"Ostara","type":"extras"},{"doc":"Given the following schema module: defmodule Product do @moduledoc &quot;A product from Acme&#39;s catalog&quot; , use Ecto.Schema @primary_key false embedded_schema do field :product_name , :string field :price , :float end def changeset ( data , params ) do data |&gt; cast ( params , [ :product_name , :price ] ) |&gt; validate_required ( [ :product_name ] ) |&gt; validate_number ( :price , greater_than : 0 ) end end Ostara will produce the following data: %{ &quot;$schema&quot; =&gt; &quot;https://json-schema.org/draft/2020-12/schema&quot; , &quot;$id&quot; =&gt; &quot;product&quot; , &quot;title&quot; =&gt; &quot;Product&quot; , &quot;type&quot; =&gt; &quot;object&quot; , &quot;description&quot; =&gt; &quot;A product from Acme&#39;s catalog&quot; , &quot;properties&quot; =&gt; %{ &quot;product_name&quot; =&gt; %{ &quot;type&quot; =&gt; &quot;string&quot; } , &quot;price&quot; =&gt; %{ &quot;type&quot; =&gt; &quot;number&quot; , &quot;exclusiveMinimum&quot; =&gt; 0 } } , &quot;required&quot; =&gt; [ &quot;product_name&quot; ] }","ref":"readme.html#example","title":"Ostara - Example","type":"extras"},{"doc":"Ostara is available in Hex and can beinstalled by adding ostara to your list of dependencies in mix.exs : def deps do [ { :ostara , &quot;~&gt; 0.4.0&quot; } ] end","ref":"readme.html#installation","title":"Ostara - Installation","type":"extras"},{"doc":"Ostara source code is released under Apache License 2.0. See LICENSE for more information.","ref":"readme.html#license","title":"Ostara - License","type":"extras"}]